#ifndef __GPSM_H__
#define __GPSM_H__


#ifdef __cplusplus
extern "C" {
#endif

#define EVENT_SIO       0x01

#define PSP_UART4_FIFO 0xBE500000
#define PSP_UART4_STAT 0xBE500018
#define PSP_UART4_DIV1 0xBE500024
#define PSP_UART4_DIV2 0xBE500028
#define PSP_UART4_CTRL 0xBE50002C
#define PSP_UART_CLK   96000000
#define PSP_UART_TXFULL  0x20
#define PSP_UART_RXEMPTY 0x10


int sceHprmEnd(void);
int sceSysregUartIoEnable(int uart);
int sceSyscon_driver_44439604(int power);

int _sioInit(int baud);

#ifdef __cplusplus
} // extern C
#endif

#endif
